Bug 730341 (CVE-2011-3131) - CVE-2011-3131 kernel: xen: IOMMU fault livelock
Summary: CVE-2011-3131 kernel: xen: IOMMU fault livelock
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3131
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 730342 730343
Blocks: 730344
TreeView+ depends on / blocked
 
Reported: 2011-08-12 14:36 UTC by Petr Matousek
Modified: 2019-09-29 12:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-10 12:58:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC

Description Petr Matousek 2011-08-12 14:36:11 UTC
A VM that controls a PCI[E] device directly can cause it to issue DMA requests to invalid addresses. Although these requests are denied by the IOMMU, the hypervisor needs to handle the interrupt and clear the error from the IOMMU, and this can be used to live-lock a CPU and potentially hang the host.

A malicious guest administrator of a VM that has direct control of a PCI[E] device can cause a performance degradation, and possibly hang the host.

Upstream patches:
changeset 23762:537ed3b74b3f of xen-unstable.hg
changeset 23112:84e3706df07a of xen-4.1-testing.hg

References:
http://permalink.gmane.org/gmane.comp.emulators.xen.devel/109514
http://lists.xensource.com/archives/html/xen-devel/2011-06/msg01106.html 
http://xenbits.xen.org/hg/staging/xen-unstable.hg/rev/537ed3b74b3f
http://xenbits.xen.org/hg/staging/xen-4.1-testing.hg/rev/84e3706df07a

Comment 2 Petr Matousek 2011-08-12 14:44:20 UTC
Statement:

The versions of the Linux kernel as shipped with Red Hat Enterprise Linux 4, 6,
and Red Hat Enterprise MRG are not affected. It has been addressed in Red Hat Enterprise Linux 5 via https://rhn.redhat.com/errata/RHSA-2011-1386.html.

Comment 3 errata-xmlrpc 2011-10-20 17:28:57 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1386 https://rhn.redhat.com/errata/RHSA-2011-1386.html


Note You need to log in before you can comment on or make changes to this bug.